<%--
  - Author(s)  : Kim Myung Ho
  - Date       : 2014.07.04
  - Description: 계약작성 대상 리스트
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    
    RowSet template_list = storage.getRowSet("TEMPLATE_LIST");
    String template_cds="";
	String template_names="선택";
	
	for(int i=0;i<template_list.size();i++){
			template_cds = template_cds+"|"+(template_list.getRow(i).get("TEMPLATE_CD"));
			template_names = template_names+"|"+(template_list.getRow(i).get("TEMPLATE_NAME"));
    }
%>
<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		gridInit(sheet1);
		
		/**
		 *	Application Initialize
		 */
		$("#btnSearch").click(function() {
			jQuery("#fevent").val("SHEET_SELECT");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/cont/outside/ContTargetList_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
		});		
		$("#p_dept_nm").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);	if(keycode == 8){$("#p_dept_cd").val("");$("#p_dept_nm").val("");}});
		$("#p_cont_status").change(function(){$("#btnSearch").click();});
		$("#p_build_nm").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);if(keycode == 13)$("#btnSearch").click();});
		$("#p_dealer_nm").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);if(keycode == 13)$("#btnSearch").click();});
		$("#btnSearch").click();
		$("#dataClear").click(function(){$("#ContFromDt").val("");$("#ContToDt").val("");});
		jQuery("#btnExcel").click(function() {
			if(sheet1.RowCount() == 0) {
				alert("내역이 없습니다.");
				return;
			}
			var params = { FileName : "ContTargetList.xls",  SheetName : "ContTargetList", SheetDesign:0, Merge:1, DownCols:"SUB_CONT_MOD_ID|DEPT_NAME|CON_DOC_NO|MOD_NO|BUILD_NAME|CON_SUPPLY_AMT|CON_CUR_CD|MEMBER_NAME"+
					"|CON_DATE|WORK_START_END_DATE|TEMPLATE_CD|STATUS_CD", TitleText:"외주_계약대상", UserMerge:"0,0,1,12", AutoSizeColumn:1  } ;
			sheet1.Down2Excel(params);
		});
		
		autoResize();
	}
	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:100};
		init_sheet.Cols = [
		       			{Header:'Del',				Type:"DelCheck",		SaveName:"DEL_CHECK", 			Width:50, 		Align:"Center",		Hidden:"True"},
		    			{Header:'Status',			Type:"Status", 			SaveName:"STATUS", 				Width:0, 		Align:"Center",		Hidden:"True"},
		    			{Header:'계약번호',				Type:"Text", 			SaveName:"SUB_CONT_MOD_ID", 	Width:0, 		Align:"Center",		Hidden:"True"},
		    			{Header:'현장명',				Type:"Text", 			SaveName:"DEPT_NAME", 			Width:200, 		Align:"Left" , Edit:"false"},
		    			{Header:'계약번호',				Type:"Text", 			SaveName:"CON_DOC_NO",			Width:120, 		Align:"Left", Edit:"false"},
		    			{Header:'변경차수',				Type:"Text", 			SaveName:"MOD_NO", 				Width:50,		Align:"Center" , Edit:"false" <%=params.get("ChgCont").equals("N") ? ", Hidden:'True'":""%>},
		    			{Header:'계약명',				Type:"Text", 			SaveName:"BUILD_NAME", 			Width:200, 		Align:"Left" , Edit:"false"},
		    			{Header:'계약금액(VAT별도)',		Type:"Text", 			SaveName:"CON_SUPPLY_AMT", 		Width:80, 		Align:"right",	Edit:"false"},
		    			{Header:'통화구분',				Type:"Text", 			SaveName:"CON_CUR_CD", 			Width:50, 		Align:"Center" , 		Edit:"false"},
		    			{Header:'업체ID',				Type:"Text", 			SaveName:"CORP_ID", 		Width:50, 		Align:"Center" , Hidden:"True"},
		    			{Header:'☞업체명',				Type:"Text", 			SaveName:"MEMBER_NAME", 		Width:100, 		Align:"Left" , Edit:"false",	Cursor:'pointer'},
		    			{Header:'계약일자',				Type:"Text", 			SaveName:"CON_DATE", 			Width:80, 		Align:"Center" , Edit:"false"},
		    			{Header:'계약기간',				Type:"Text", 			SaveName:"WORK_START_END_DATE", Width:80, 		Align:"Center", Edit:"false"},
		    			{Header:'상태',				Type:"Combo", 			SaveName:"STATUS_CD", 			Width:80, 		Align:"center", Edit:"false",		Hidden:"True",	ComboText:"선택|계약대상|작성중", ComboCode:"|00|10"},
		    			{Header:'계약서종류',			Type:"Combo", 			SaveName:"TEMPLATE_CD", 		Width:100,  	Align:"Left", ComboText:"<%=template_names%>", ComboCode:"<%=template_cds%>"},
		    			{Header:'☞계약서작성',			Type:"Image", 			SaveName:"BTN",  				Width:50, 		Align:"Center", Edit:"false",	Cursor:'pointer'},
		
		];

		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetImageList(1,"/img/buyer/btn/btn_write.gif");
		sheetName.SetActionMenu("ExcelDown");
		setGridSize();
	}
	/*
	IBSheet Event : Mouse Right Menu
	*/
	function sheet1_OnSelectMenu(Text, Code) {
		  // text 또는 code값으로 Action수행
		switch(Text) {
	         case "ExcelDown":
	        	jQuery("#btnExcel").click();
	            break; 
		}
	}	
	
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	setGridSize();
	    	sheet1.SetColFontColor("MEMBER_NAME", "#0000ff");
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	/**
	 *	IBSheet Event: Click
	 */
	function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		if(Row == 0)return;
		if (sheet1.ColSaveName(Col) == "BTN") {
			var status = sheet1.GetCellValue(Row,8);
			if(sheet1.GetCellValue(Row, "TEMPLATE_CD")== "" ){
				alert("계약서 종류를 선택 해 주세요.");
				return;
			}
			if((sheet1.GetCellValue(Row, "CON_CUR_CD")!= "KRW") && ((sheet1.GetCellValue(Row, "TEMPLATE_CD")!= "7") && (sheet1.GetCellValue(Row, "TEMPLATE_CD")!= "8"))){
				alert("외화 계약 건에 대해서는 자유서식으로 계약서를 선택 해 주세요.");
				return;
			}				
			$("#SUB_CONT_MOD_ID").val(sheet1.GetCellValue(Row, "SUB_CONT_MOD_ID"));
			$("#TEMPLATE_CD").val(sheet1.GetCellValue(Row, "TEMPLATE_CD"));
	//		$("#MOD_NO").val(sheet1.GetCellValue(Row, "MOD_NO"));
	//		if(status == "04"){//견적의뢰
				$("#fevent").val("FORM_SELECT");
				$("#form1").attr("action", "/cont/outside/ContWrite.screen");
	//		}
			$("#form1").attr("target", "_self");
			$("#form1").attr("method", "post");
			$("#form1").submit();
		}
		if (sheet1.ColSaveName(Col) == "MEMBER_NAME") {
			 /* var win_id = "_ContTargetPop";
			 var link = "/cont/outside/ContTargetPopup.screen";
			     link += "?pop_win_id="+win_id;
			     link += "&p_corp_id="+sheet1.GetCellValue(Row, "CORP_ID");
			     link += "&p_move="+p_move;
			       
			fLayerPop(win_id, link, 1000, 650, '', '', 'NO'); */
			     
			var url = "/cont/outside/ContTargetPopup.screen";
			url += "?p_corp_id=" + sheet1.GetCellValue(Row, "CORP_ID");
			url += "&sModule="+"LM";
			
			window.open(url, "_ContTargetPop","width=1000,height=650,SCROLLBARS=no"); 
		}
	}
	/**
	 *	IBSheet Event Change
	 */	
	function sheet1_OnChange(Row, Col, Value, OldValue, RaiseFlag) { 
		var comboValue = sheet1.GetCellValue(Row,"TEMPLATE_CD");
		if(comboValue != "" ){
			sheet1.SetCellImage(Row ,"BTN", "/img/buyer/btn/btn_write.gif");
			return;
		}		
	}
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {sheet1.FitColWidth();}
	
	//자동로그인 기능
	function f_gologin(login_id,login_pw){
		var f = document.form1;
		if('<%= user.get("ACCT_TYPE_CODE")%>' != "ADMIN"){
			dlgAlert("User who logged in as administrator only can do automatic log-in.");
			return;
		}
	
		f.login_id.value = login_id;
		f.login_pw.value = login_pw;
	
		if( !submitXmlRequest("/sign_on_check", "", document.form1) ) {
			alert("Log-in is being processed.");
		};
		
	}
	
	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
		
	}
	function autoResize(){
		var t1_height = document.getElementById("search-table").scrollHeight + document.getElementById("title").scrollHeight + 24;
		var iframeHeight= document.body.scrollHeight - t1_height;   
		var iframeWidth= document.body.scrollWidth;   
		
		sheet1.SetSheetHeight(iframeHeight); 
	}	
	document.body.onresize = addEvent( document.body.onresize, "autoResize()");
</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>

<form id="form1" name="form1" method="post" modular:type="search">
<INPUT type="hidden" name="fevent" id="fevent" value="">
<INPUT type="hidden" name="SUB_CONT_MOD_ID" value="">
<INPUT type="hidden" name="TEMPLATE_CD" value="">
<INPUT type='hidden' name="acct_id" value="<%= params.get("acct_id") %>">
<INPUT type='hidden' name="ChgCont" value="<%= params.get("ChgCont") %>">
<INPUT type='hidden' name="p_cont_status" value="00">

<div align="left" id="title">
	<ul>
		<li>외주_<%if(params.get("ChgCont").equals("Y")){%>변경<%} %>계약대상</li>
	</ul>
</div> 

<!-- 검색조건 시작 -->
<table id="search-table" class="search-form-table">
	<colgroup>
		<col width="100" />
		<col width="*" />
		<col width="100" />
		<col width="*" />
		<col width="100" />
	</colgroup>
  <tr height="25"> 
  	<th>현장</th>
   	<td>
  		<%=InputText.getSiteCodeNew("p_dept_cd", "p_dept_nm", "", user, params.get("p_dept_cd"), params.get("p_dept_nm"))%>
	</td>
  	<th>계약명</th>
   	<td>
   		<INPUT type="text" name="p_build_nm" class="input" value="<%= params.get("p_build_nm") %>" style="width:90%"> 
	</td>
	<td class="button" rowspan="2">
		<span class="btnSearch center" id="btnSearch"><a href="javascript:void(0);">검색</a></span>
		<span class="btnSearch center" id="btnExcel"><a href="javascript:void(0);">엑셀</a></span>
	</td>	
  </tr>
  <tr>
    <th>업체명</th>
    <td> 
       <INPUT type="text" name="p_dealer_nm" class="input" value="<%= params.get("p_dealer_nm") %>" style="width:90%"> 
    </td>
    <th>계약기간</th>
    <td> 
		<%= InputText.get("ContFromDt", params.get("ContFromDt"), 10, 50, "hangule,center, desc=계약일자,ReadOnly") %>
		<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('ContFromDt');">
					~
		<%= InputText.get("ContToDt", params.get("ContToDt"), 10, 50, "hangule,center, desc=계약일자,ReadOnly") %>
		<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('ContToDt');">
		<IMG name="dataClear" id="dataClear" src="/img/buyer/button/bt_eraser1.gif" border="0" align="absmiddle" style="cursor:pointer;">
    </td>
  </tr>
</table>
</form>

<div id="sheet1_div" style="padding-top:5px; height: auto; min-height: 400px; overflow: auto;">
	<script>createIBSheet('sheet1','100%', '400px');</script>
</div>